Bug 998750 - guestfish does not work due to conflict of remote and interactive mode
guestfish does not work due to conflict of remote and interactive mode
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libguestfs (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Richard W.M. Jones
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 22:23 EDT by bfan
Modified: 2014-06-17 22:00 EDT (History)
2 users (show)

See Also:
Fixed In Version: libguestfs-1.22.6-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 996039
Environment:
Last Closed: 2014-06-13 09:23:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 3 bfan 2013-12-03 04:03:02 EST
Verified with libguestfs-1.22.6-16.el7.x86_64.

# man guestfish


REMOTE CONTROL DOES NOT WORK WITH -a ETC. OPTIONS
       Options such as -a, --add, -N, --new etc don't interact properly with remote support.  They are
       processed locally, and not sent through to the remote guestfish.  In particular this won't do
       what you expect:

        guestfish --remote --add disk.img

       Don't use these options.  Use the equivalent commands instead, eg:

        guestfish --remote add-drive disk.img

       or:

        guestfish --remote
        ><fs> add disk.img



Man page is updated
Comment 4 Ludek Smid 2014-06-13 09:23:37 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.